#include <iostream>
using namespace std;
int main(){
	int N,L,x[N];
	cin>>N>>L;
	for (int i=0;i<N;i++){
		cin>>x[i];
	}
	for (int i=0; i<N;i++){
		if (L>=x[i]){
			cout<<i+1<<endl;
			return 0;
		}
	}
	for (int i=0; i<N;i++){
		if (L<x[i]){
			cout<<-1<<endl;
			return 0;
			}
}
}